<?php
class DBRecordArrayMapper {
    public static function mapToArray(DBRecord $dbRecord) {
        $array = null;

        $array[0] = $dbRecord->getTimestamp();
        $array[1] = $dbRecord->getSessionID();
        $array[2] = $dbRecord->getRequestURI();
        $array[3] = $dbRecord->getHttpReferer();
        $array[4] = $dbRecord->getRemoteAddress();
        $array[5] = $dbRecord->getUserAgent();

        return $array;
    }

    public static function mapToDBRecord($array) {
        $dbRecord = new DBRecord();

        $dbRecord->setTimestamp($array[0]);
        $dbRecord->setSessionID($array[1]);
        $dbRecord->setRequestURI($array[2]);
        $dbRecord->setHttpReferer($array[3]);
        $dbRecord->setRemoteAddress($array[4]);
        $dbRecord->setUserAgent($array[5]);

        return $dbRecord;
    }
}

?>
