<?php
    /**
     * @author Mat <mat_sf@users.sourceforge.net>
     */
    class DataSorter {
        private $data;

        public function __construct($data) {
            $this->data = $data;
        }

        public function sortByDate() {
            if(is_null($this->data)) {
                return null;
            }
            usort($this->data,array("DataSorter","compareDate"));
        }

        private static function compareDate($a,$b) {
            if ($a->getTimestamp() == $b->getTimestamp()) {
                return 0;
            }
            if ($a->getTimestamp() < $b->getTimestamp()) {
                return 1;
            }
            return -1;
        }

        public function getData() {
            return $this->data;
        }
    }

?>
