<?php
/*
 * Plugin Name: FPstats
 * Plugin URI: https://sourceforge.net/projects/fpstats/
 * Description: Provides some statistics about visitors to a blog.
 * Author: Martin Debef
 * Version: 0.3.3
 * Author URI: https://sourceforge.net/u/mat_sf/profile/
 * 
 * Changelog:
 * v0.3.3:	Update PHPlot to v6.2.0 -> https://github.com/AJRepo/PHPlot
 * Change-Date:	15.01.2023, by Fraenkiman

 * v0.3.2:	Derusted for fp-1.3.dev/ smarty 4
 *          tested with PHP 7.4
 * Change-Date:	12.01.2023, by Fraenkiman
 */

require_once(dirname(__FILE__)."/classes/core/DBConfiguration.php");
require_once(plugin_getdir("fpstats")."classes/FPStatsBaseClass.php");

function recordData() {
    $dbWriter = new DBWriter();

    $dbWriter->record();
}

if (class_exists("AdminPanelAction")){
    require_once(plugin_getdir("fpstats")."classes/admin_plugin_fpstats.php");
    admin_addpanelaction('plugin', 'fpstats', true);
}

add_action('shutdown', 'recordData');
?>
